Get Employee Competences
curl --request GET \
--url https://api.twine.se/v1/org/employee-competences \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.twine.se/v1/org/employee-competences"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.twine.se/v1/org/employee-competences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"org_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"competence_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"employee_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"inserted_at": "2021-06-01T12:00:00Z",
"mappings": [
{
"external_id": "EMP-COMP-1024",
"system_integration_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"status": "active",
"status_updated_at": "2023-11-07T05:31:56Z"
}
],
"properties": {
"custom_properties": {},
"issued_by": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"level": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"notes": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"source_external_id": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"valid_from": [
{
"valid_from": "2021-06-01",
"value": "2021-06-01T12:00:00Z"
}
],
"valid_to": [
{
"valid_from": "2021-06-01",
"value": "2021-06-01T12:00:00Z"
}
]
},
"source_system": "twine",
"updated_at": "2021-06-01T12:00:00Z",
"valid_from": "2021-06-01",
"valid_to": "2024-06-01"
}
],
"pagination": {
"end_cursor": "<string>",
"has_next_page": true,
"has_previous_page": true,
"start_cursor": "<string>"
}
}{
"code": 400,
"errors": [],
"message": "Bad Request"
}{
"code": 403,
"errors": [],
"message": "Forbidden"
}{
"code": 403,
"errors": [],
"message": "Forbidden"
}Employee Competences
Get Employee Competences
GET
/
v1
/
org
/
employee-competences
Get Employee Competences
Authorizations
Bearer token for authentication
Query Parameters
Cursor pagination
Show child attributes
Show child attributes
Parameters for Employee Competence ordering
Show child attributes
Show child attributes
Filter parameters for Employee Competence Parameters for Employee Competence filtering
Show child attributes
Show child attributes
⌘I